WordPress.org

Support

Support » Installation » [Resolved] Another problem upgrading to 2.7

[Resolved] Another problem upgrading to 2.7

  • The error message I get is:

    Warning: main(../wp-load.php): failed to open stream: No such file or directory in /hsphere/local/home/baringo1/denacrain.com/blog/wp-admin/upgrade.php on line 18

    Warning: main(../wp-load.php): failed to open stream: No such file or directory in /hsphere/local/home/baringo1/denacrain.com/blog/wp-admin/upgrade.php on line 18

    Fatal error: main(): Failed opening required ‘../wp-load.php’ (include_path=’.:/usr/local/lib/php:/usr/local/lib/php/PEAR:/usr/local/share/pear’) in /hsphere/local/home/baringo1/denacrain.com/blog/wp-admin/upgrade.php on line 18″

    Please – can anyone help me resolve this issue?

    Thanks!

    Dena

Viewing 14 replies - 1 through 14 (of 14 total)
  • did properly uploaded all files of wp 2.7 installation ??

    I think so, but I’ll double check. Makes good sense to begin at the beginning, yes?

    So, I cleared everything off my desktop and began again from scratch. I downloaded a fresh copy of the new version and opened it with StuffIt Expander. That resulted in an error message:

    “An error occurred attempting to expand ‘wordpress-2.7.zip’. The archive may contain damaged content.

    Error #17538″

    Now what?

    Barny
    I got that error (or similiar – can’t quite remember the exact message) – I narrowed it down to the “bad behaviour” plugin – which needed updating.

    Once I’d deactivated that it was fine. I’ve not got round yet to updating it (mostly because Askimet seems to do a perfectly good job on its own & I know that too many plugins can cause issues)

    What’s the “bad behaviour” plugin, please? Where do I find it and how do I update or delete it?

    Thanks.

    OK – I manually checked all the files on my blog against the new version files. I found a bunch of them that I had deleted in the first installation should not have been deleted. I reinstalled everything so now what’s on my blog matches what’s in the download folder.

    Now, I get this message:

    “Warning: main(../wp-load.php): failed to open stream: No such file or directory in /hsphere/local/home/baringo1/denacrain.com/blog/wp-admin/upgrade.php on line 18

    Warning: main(../wp-load.php): failed to open stream: No such file or directory in /hsphere/local/home/baringo1/denacrain.com/blog/wp-admin/upgrade.php on line 18

    Fatal error: main(): Failed opening required ‘../wp-load.php’ (include_path=’.:/usr/local/lib/php:/usr/local/lib/php/PEAR:/usr/local/share/pear’) in /hsphere/local/home/baringo1/denacrain.com/blog/wp-admin/upgrade.php on line 18″

    What can I do next?

    It says clearly it doesn’t find wp-load.php which is in the distribution and should be in your root (with quite some other files and wp-config)

    I unzip the distribution in my pc and upload the files using filezilla,
    the file I downloaded is http://wordpress.org/latest.zip, so which wordpress-2.7.zip you have problems to expand where? did you rename it?
    If yes, I would put only one dot in there, .zip, not 2.7.zip

    I don’t have that file anywhere on my computer. I use FileZilla, too. I just downloaded it again, opened it with StuffIt, and got the same error message as before. Is there another source for the wp-load.php file? Could someone email it to me?

    sorry, i made the mistake, the file you get by clicking on latest.zip mentioned above is really wordpress-2.7.zip

    If your stuffit has errors extracting this file try another prog to unzip on your pc.
    you will get a folder called wordpress-2.7 in which is another folder called wordpress.
    The content of this second folder is what normally goes to the root of your site. there are folders (wp-admin, wp-includes, and files like index.php and wp-load.php and another about 20 files.
    All that stuff should look very much comparable on your site if you use ftp to browse.
    In another thread started of you is exactly explained how to upgrade.

    Clearly, there’s some problem I’m having with opening the upgrade. It opens as WordPress-2, not 2.7. I’ll get another unzipper and try again. Thanks for the help!

    I have downloaded the most recent version of StuffIt Expander. Still, it cannot open the WordPress 2.7 download properly. What else can I do?

    StuffIt says the error code I’m receiving means there’s something wrong with the file I’m trying to open. Why can’t I download the WordPress upgrade properly? Could there be something malicious on my computer that is preventing me from upgrading my blog?

    StuffIt also says I need to have the file recompressed and sent to me again. In other words, there is something wrong with the WP download. I’m working on a MacBook Pro; would that have anything to do with it? I’ve never needed a Mac-only version of a WP upgrade before; do I need one now?

    Remainder of discussion can be found in a new post Problem with 2.7.

    http://wordpress.org/support/topic/225015

Viewing 14 replies - 1 through 14 (of 14 total)
  • The topic ‘[Resolved] Another problem upgrading to 2.7’ is closed to new replies.
Skip to toolbar